Last Comment Bug 260078 - Escaped HTML brackets in Atom feeds display as raw HTML in message window
: Escaped HTML brackets in Atom feeds display as raw HTML in message window
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://mike.steinbaugh.com/blog/index...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-17 09:31 PDT by Mike Steinbaugh
Modified: 2012-07-09 16:02 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Mike Steinbaugh 2004-09-17 09:31:49 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040913 Firefox/0.10
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040913 Firefox/0.10

In the example Atom feed, take a look at the entry entitled "Stylesheet
changes." In the content tag, the entry is properly escaped. The CODE tags
should render as HTML in Thunderbird and do properly. However, the H2 tag inside
the CODE tag should not render as HTML but as a readable HTML tag (escaped
brackets). This is not the case in Thunderbird.

This problem has been confirmed to be specific to Thunderbird and not other
newsreaders.

Reproducible: Always
Steps to Reproduce:
1. Add feed to Thunderbird
2. Double-click on entry containing escaped HTML
3. Voila!

Actual Results:  
The escaped HTML is incorrectly rendered as raw HTML

Expected Results:  
Keep the escaped brackets instead of rendering them. The H2 tag should display
as plain text with a left bracket and right bracket visible to the reader.
Comment 1 Cheng Yuk Pong 2006-06-21 07:04:16 PDT
Hi, 
I have encouter this problem too..

In atom feed title, HTML entities are tranformed .. but xml are not:

    <title type="html"><![CDATA[  &gt;  ]]></title>

gives:

    >

as expected. But

    <title type="html"><![CDATA[  &#62;  ]]></title>

gives:

    &#62
Comment 2 alta88 2012-07-09 16:02:31 PDT
this has been fixed along the way, as both &#62; and &gt; render correctly in <item> <title>s in Tb16 and likely release as well.  reopen if not.

Note You need to log in before you can comment on or make changes to this bug.